/**
 * @file compiler.h
 * @brief Compiler typedefs to allow desktop and PIC32 builds
 * @author Lukas Hostettler
 * @author Roger Fong
 * @version 1.1
 * @date 2015-12-15
 */

#ifndef COMPILER_H
#define COMPILER_H

#include <stdlib.h>

#ifndef __APPLE__
#ifdef __XC32
    typedef int int32_t;
    typedef long long int64_t;

    typedef unsigned int uint32_t;
    typedef unsigned long long uint64_t;
#else //XC32
    typedef int int32_t;
    typedef long int64_t;
#endif //XC32

#define INT32_MAX   0x7fffffffL
#define INT32_MIN   0xffffffffL
#define UINT32_MAX  0xffffffffUL
#define INT64_MAX   0x7fffffffffffffffLL
#define INT64_MIN   0xffffffffffffffffLL
#define UINT64_MAX  0xffffffffffffffffULL
#endif

#endif //COMPILER_H

