/**
 * @file imgsegment.c
 * @brief Source of the ImgSegment structure
 * @author Lukas Hostettler
 * @author Roger Fong
 * @version 1.1
 * @date 2015-12-15
 */

#include "compiler.h"
#include "config.h"

#include "imgsegment.h"

#pragma GCC push_options
#pragma GCC optimize ("O1")

ImgSegment imgSegmentCreate(unsigned int x, unsigned int y, unsigned int n){
    ImgSegment segment;
    segment.n = n;
    segment.x = x;
    segment.y = y;
    return segment;
}

void imgSegmentAdd(ImgSegment* seg1, ImgSegment seg2){
    seg1->n += seg2.n;
    seg1->x += seg2.x;
    seg1->y += seg2.y;
}

void imgSegmentAddPixel(ImgSegment* seg, unsigned int x, unsigned int y){
    seg->x += x;
    seg->y += y;
    seg->n++;
}

#pragma GCC pop_options
