webcam
======

![Sample screenshot](screenshot.png)

This sample demonstrates libdots on a desktop PC with a webcam. It requires OpenCV to acquire images from the webcam and
was tested with OpenCV 2.4.8 on Ubuntu 14.04.

A low-cost webcam with manual focus lens and simple LED illumination is adequate for the sample to run. The webcam must
be put in a simple housing (can be made out of cardboard) to mount the camera at a fixed distance from the ground and to
block out external illumination; at least 8x8 dots must be visible at all times and therefore the housing must be made
tall enough. In [webcam_sample.h](webcam_sample.h), there are configuration values that might be require tuning for your
specific webcam.

The sheet used for localization can be found in [libdotsA4.pdf](libdotsA4.pdf), it must be printed in 1:1 scale without
margins. For best results, use a color laser printer with at least 300 dpi, but prefer 600 dpi. This sheet can be
generated with the `pdf-overlayer` tool as well; use the `(0,0)` coordinates (the default) on an A4 size sheet, or
provide no arguments to generate this empty sheet directly.

To build this sample, refer to [../../README.md](../../README.md). To run:

```
webcam [CAMERA_INDEX]
```

