/**
 * @file main.cpp
 * @brief Entry point for webcam sample
 * @author Lukas Hostettler
 * @author Ayberk Özgür
 * @version 1.0
 * @date 2015-09-03
 */

#include<cstdio>
#include<iostream>
#include<string>

#include"webcam_sample.h"

int main(int argc, char** argv){
    int camIndex;
    if(argc <= 1)
        camIndex = 0;
    else if(argc <= 2){
        if(!strcmp(argv[1],"--help") || !strcmp(argv[1],"-h")){
            std::cout << "Usage: webcam [WEBCAM_INDEX]" << std::endl;
            return 0;
        }
        else{
            camIndex = 0;
            sscanf(argv[1],"%d",&camIndex);
        }
    }
    else{
        std::cout << "Too many input arguments." << std::endl;
        return 0;
    }

    WebcamSample sample = WebcamSample(camIndex);
    while(sample.run());
    return 0;
}

