pdf-overlayer
=============

This tool overlays the dot pattern to existing pdfs. Freetype2 and PoDoFo are required. Tested with PoDoFo 0.9.0 and
Freetype 2.5.2 on Ubuntu 14.04.

Supports overlaying rows of patterns in case of multiple page PDFs that are supposed to be stitched together. For
example, given a document that is divided into 5 columns and 3 rows of A4 sheets (meaning 15 consecutive pages in
row-major order), provide `-b 5` to start a new row of patterns after 5 columns, i.e every 5 pages.

To build and install:

```
mkdir build
cd build
cmake ..
make -j 5
make install
```

To use:

```
libdots-pdf-overlayer [OPTIONS]
    -i FILE     Name of the input PDF to be overlaid with patterns (if none given, generates a blank A4 sheet)
    -o FILE     Name of the output file
    -x NUM      Left start coordinate (default 0)
    -y NUM      Top start coordinate (default 0)
    -n NUM      Number of different versions of the pattern to be overlaid (default 1)
    -b NUM      Break pattern and start new row after NUM pages (default no break)
    -f NUM      Fillmode:
        0 - Fill normal (default)
        1 - Same pattern
        2 - Only fill annotations
    -h,--help   Shows this help
```

